org.jboss.netty.channel

## Interface ExceptionEvent

- All Superinterfaces:
    ChannelEvent
  All Known Implementing Classes:
    DefaultExceptionEvent

      public interface ExceptionEvent
      extends ChannelEvent

  A `ChannelEvent` which represents the notification of an exception raised by a `ChannelHandler` or an I/O thread. This event is for going upstream only. Please refer to the `ChannelEvent` documentation to find out what an upstream event and a downstream event are and what fundamental differences they have.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Returns the raised exception.

    - ### Methods inherited from interface org.jboss.netty.channel.ChannelEvent

      `getChannel, getFuture`

- - ### Method Detail

    - #### getCause

          Throwable getCause()

      Returns the raised exception.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.